/***************************************************************************
 *   Copyright (C) 2008, 2009 by Miguel Escudero Gestal
 *   miguelescudero@users.sourceforge.net
 *   
 *   This file is part of QChartDiary
 *
 *   QChartDiary is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   QChartDiary is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 ***************************************************************************/

#include "dateedit.h"


DateEdit::DateEdit(QWidget *parent)
	: QDateEdit(parent)
{
	setWrapping(true);
}

void DateEdit::stepBy(int number)
{
	switch(currentSectionIndex())
	{
	case 0:
		setDate(date().addYears(number));
	break;
	case 1:
		setDate(date().addMonths(number));
	break;
	case 2:
		setDate(date().addDays(number));
	break;
	}
}
