isEmpty(PREFIX) {
    PREFIX = /usr
}

CONFIG += qt
HEADERS = src/chart.h \
 src/chartwindowimpl.h \
 src/dateedit.h \
 src/hourwidget.h \
 src/mainwindowimpl.h \
 src/taskswindowimpl.h \
 src/textviewwindowimpl.h \
 src/timeedit.h
FORMS = ui/chartwindow.ui ui/mainwindow.ui ui/taskswindow.ui ui/textviewwindow.ui
SOURCES = src/chart.cpp \
 src/chartwindowimpl.cpp \
 src/dateedit.cpp \
 src/hourwidget.cpp \
 src/main.cpp \
 src/mainwindowimpl.cpp \
 src/taskswindowimpl.cpp \
 src/textviewwindowimpl.cpp \
 src/timeedit.cpp
MOC_DIR = compile
OBJECTS_DIR = compile
QT = core gui sql
TEMPLATE = app
TRANSLATIONS += QChartDiary_ja.ts \
 QChartDiary_zhCN.ts \
 QChartDiary_gl.ts \
 QChartDiary_es.ts
UI_DIR = compile

#### INSTALL ####

binary.path += $${PREFIX}/bin/
binary.files += QChartDiary

documents.path += $${PREFIX}/share/doc/QChartDiary/
documents.files += AUTHORS \
	CHANGELOG \
	COPYING \
	LICENSE \
	README

translations.path += $${PREFIX}/share/QChartDiary/
translations.files += *.qm

pixmap.path += $${PREFIX}/share/pixmaps/
pixmap.files += QChartDiary.png

desktop.path += $${PREFIX}/share/applications/
desktop.files += QChartDiary.desktop

INSTALLS += binary documents translations pixmap desktop